Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Basilisk

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117

Открыть новую тему     Написать ответ в эту тему

Gosuto



BANNED
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Basilisk - это новый браузер от Pale Moon Team, являющийся полностью независимым форком Mozilla Firefox, основанном на механизме и движке рендеринга Goanna (форке Gecko).
Браузер поддерживает широкий спектр функций, необходимых для современного веб-серфинга, включая поддержку расширенных скриптов, CSS, HTML5 и загружаемых шрифтов. Он также полностью поддерживает все плагины NPAPI (например, Java, веб-проигрыватель Unity, и различные плагины).
Basilisk - это веб-браузер, нацеленный на сохранение полезных технологий, которые удалены в Mozilla Firefox.
Основные особенности Basilisk:
Важные отличия от Mozilla Firefox:

Скачать:
Windows Installer: 64-bit
Windows 7z archive: 64-bit
Linux tarball: 64-bit
Прекращена поддержка 32-х битных версий. Последние 32-х битные релизы: Installer, 7z archive
Release Notes


Форки и пользовательские сборки
Centaury - форк Basilisk от zzz528 - поддержка ХР, WebExtensions, инсталлятор с возможностью полностью портативной установки без дополнительных библиотек
Serpent - сборки Basilisk от roytam1 - поддержка ХР, WebExtensions, сборки на ветках 52.9 и 55. Весь архив.
Сборки Basilisk от Cento8 - портабельные с использованием tmemutil.dll, давно не обновлялись

Русификаторы
   Русификатор для Basilisk от Vitaliy V. - совместим с официальными и кастомными сборками ветки 52.9.
   Русификатор для Basilisk 55 - совместим со сборками ветки 55.
   Русификаторы для сборок Basilisk от roytam1

Расширения
Официальный каталог расширений
Официальный каталог поисковых движков
Legacy Firefox extensions
Каталог классических дополнений Firefox Gecko: Classic Add-ons Archive

Всего записей: 5619 | Зарегистр. 09-11-2015 | Отправлено: 07:21 19-11-2017 | Исправлено: harrykkk, 19:21 12-06-2021
vikmin



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
LexVel
Эти строки прописаны в той же директории omni.ja, надо было заменить
два файла (совсем вылетело), но это ещё не всё.
1.  chrome \ en-US \ locale \ branding \ brand.dtd  
2.  chrome \ en-US \ locale \ branding \ brand.properties

Всего записей: 221 | Зарегистр. 08-12-2017 | Отправлено: 17:34 14-10-2020 | Исправлено: vikmin, 17:37 14-10-2020
LexVel

Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
vikmin

Цитата:
 brand.properties

 
да нужно брать файл с
Цитата:
 Basilisk


Цитата:
 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
brandShorterName=Serpent
brandShortName=Serpent
brandFullName=Serpent
vendorShortName=Moonchild
vendorFullName=Moonchild Productions
 
syncBrandShortName=Sync

 
Добавлено:

Цитата:
но это ещё не всё.

 
?? что еще нужно смотреть

Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 19:27 14-10-2020
vikmin



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
LexVel

Цитата:
?? что еще нужно смотреть
 
Так сразу и не скажешь... ("большая книга")

Всего записей: 221 | Зарегистр. 08-12-2017 | Отправлено: 20:53 14-10-2020 | Исправлено: vikmin, 20:56 14-10-2020
RandyOrton



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
один раз сделаю все.  
 
готовлю портативное решение, мне не нужны обновления и прочая ерунда,  
как многие обновляют

Так он перестанет через какое-то время некоторые сайты открывать.

----------
Гомосексуальность не является психическим расстройством.

Всего записей: 2825 | Зарегистр. 21-05-2010 | Отправлено: 21:39 14-10-2020
LexVel

Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RandyOrton

Цитата:
Так он перестанет через какое-то время некоторые сайты открывать.

 
FF52esr win XP
 
вот так себя ведет, разбираюсь в причине...
   
 
просит каптчу каждый раз при заходе,  
 
1. плохой IPs
2. проблема в браузере или useragent (но как видно, что он детектит устарел - это браузер)
перешел по ссылке поддерживаемых браузеров -
 


Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 22:23 14-10-2020 | Исправлено: LexVel, 22:24 14-10-2020
Bersaglio



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RandyOrton

Цитата:
Так он перестанет через какое-то время некоторые сайты открывать.

Именно так, Рой постоянно вносит изменения для поддержки работоспособности различных сайтов. Для XP-совместимых браузеров частые обновления суть суровая необходимость, и дело здесь отнюдь не в уязвимостях. До LexVel это пока не дошло, но прогулка по граблям постепенно приведёт в сознание.

Всего записей: 2229 | Зарегистр. 21-08-2006 | Отправлено: 06:56 15-10-2020 | Исправлено: Bersaglio, 06:58 15-10-2020
LexVel

Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
to ALL
 
поставил такой вариант,  
 
Win10 x64
Firefox 78.3.1esr
 
чтобы получить исходный UA последнего esr FF
 

Цитата:
 
useragent
 
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0
 
 
buildID
               
20181001000000
 
 
oscpu
 
Windows NT 10.0; Win64; x64

 
 
прописал в сабж с самоопределением ОС для сайта whoer.net
 
general.useragent.override.whoer.net
 
Mozilla/5.0 (%OS_SLICE% rv:78.0) Gecko/20100101 Firefox/78.0
 
 
тест выдает :
 
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:78.0) Gecko/20100101 Firefox/78.0
 
 
разрядность ОС записана по разному, как правильнее?
 
Win64; x64 - FF 78esr
WOW64 - Basilisk определил
 
%OS_SLICE% - работает только для прописанного сайта, для общего нужно задать ОС

Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 21:22 15-10-2020
Coroed

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket

Цитата:
RandyOrton
Цитата:
В браузере заявлена поддержка WebExtensions. Пытался поставить на сборку Serpent 52.9 от roytam1 расширения h264ify (версии 1.0.9 и 1.1.0) и enhanced-h264ify - пишет, что они повреждены.
Правильно пишет, поскольку там нет нужного идентификатора.
Откройте редактором файл \manifest.json и впишите выделенные синим строки: .....

Это так можно поступить с расширениями....
А с темами тож можно так поступить, чтобы они устанавливались?  
Или темы уже нельзя никак переделать?

Всего записей: 696 | Зарегистр. 06-04-2009 | Отправлено: 14:35 16-10-2020 | Исправлено: Coroed, 14:39 16-10-2020
LexVel

Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RandyOrton

Цитата:
Откройте редактором файл \manifest.json и впишите выделенные синим строки:
Код:
{
  "name": "h264ify",
  "version": "1.1.0",
  "manifest_version": 2,
  "description": "__MSG_extensionDescription__",
  "homepage_url": "https://github.com/erkserkserks/h264ify",
 "applications": {
    "gecko": {
        "id": "h264ify@erkserkserks",
        "strict_min_version": "52.0"
            }
  },
    "icons": {
    "16": "icons/icon16.png",
    "48": "icons/icon48.png",
    "128": "icons/icon128.png"
  },

 
подправил 57.0 на 52.0  и он установился но не работает  
 
может чего еще нужно пофиксить ?
 

 
 

Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 17:47 16-10-2020
RandyOrton



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
LexVel
Ничего. Он несовместим с 52-й версией.

----------
Гомосексуальность не является психическим расстройством.

Всего записей: 2825 | Зарегистр. 21-05-2010 | Отправлено: 18:03 16-10-2020
vikmin



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
  • Vasilisque+v.0.13.0-ru-RU Portable_x32. Кастом-сборка на базе Centaury 0.13.0

  • Всего записей: 221 | Зарегистр. 08-12-2017 | Отправлено: 00:32 18-10-2020 | Исправлено: vikmin, 06:30 22-03-2021
    LexVel

    Gold Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    to All
     
    хочу сменить UA на Edge,
     
    fix about:config

    Цитата:
     
    general.buildID.override - пусто
     
    general.useragent.override - агента
     
    general.oscpu.override - ось нужную и разрядность
     
    general.appversion.override - агент но без Mozilla/ с передка
     

     
    cравнив еще ID видно

    Цитата:
     
                         Edge 86.0    Firefox 78.0
    vendorSub         []        []
    productSub    20030107    20100101
    vendor        Google Inc.    []
     
    appCodeName    Mozilla        Mozilla
    appName        Netscape            Netscape
    platform           Win32        Win32
    product        Gecko        Gecko    

     
    productSub    20030107    20100101
    -правлю  
     
    xul.dll file contains 2 entry(s) 20100101
     
    ---
     
    vendor -  по дефолту пусто, т.е. в hex мне искать нечего или только его имя.
     
    чем открыть  xul.dll чтобы видно было  
     
    vendor и рядом пусто,,  
     
    для замены на Google Inc. ?

     
     

    Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 08:08 18-10-2020 | Исправлено: LexVel, 09:51 18-10-2020
    RetroRocket



    Silver Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    Coroed
    Цитата:
    Это так можно поступить с расширениями....  А с темами тож можно так поступить, чтобы они устанавливались?   Или темы уже нельзя никак переделать?
    Я особо не изучал вопрос с темами, поскольку пользуюсь стандартными.
    Исправить то номер версии можно, но вряд ли такая тема заработает.
    Там же привязка к названиям внутренних ресурсов по принципу "заменить ААА на БББ" -
    Код:
    override  chrome://browser/skin/livemark-folder.png chrome://browser/skin/livemark-folder-XP.png os=WINNT osversion<6

    В разных браузерах ресурсы могут отличаться. В лучшем случае, тема не заработает, а в худшем браузер будет падать при старте.
    Можно при выключенном браузере запаковать весь профиль в архив для бэкапа и потом пробовать устанавливать любые темы и расширения.  
    Если что-то пойдёт не так, то всегда можно распаковать профиль из архива и восстановить работоспособность браузера.
     
    LexVel
    Цитата:
    подправил 57.0 на 52.0  и он установился но не работает  
    Навскидку, это расширение использует функцию chrome.storage.managed, поддержка которой появилась в FF57.
    https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/API/storage/managed
    Возможно, нужны и другие функции, отсутствующие в Serpent. Так что простым изменением версии вряд ли можно заставить работать это расширение.
    А вот CanvasBlocker  0.5.9 с вашего скриншота легко можно обновить до актуальной версии 1.3, если в manifest.json изменить значение "strict_min_version" на "52.0".
    Версия 1.3 работает вполне успешно у меня.
     
    Добавлено:
    LexVel
    Цитата:
    хочу сменить UA на Edge,
    Используйте более простой способ.
    У вас уже установлен CanvasBlocker 0.5.9. Обновите его до версии 1.3 и включите в его настройках готовую предустановку для Edge.
     

     
    Добавлено:
    Также для изменения значения vendor можно в about:config прописать general.useragent.vendor = Google Inc.


    ----------
    "... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

    Всего записей: 2471 | Зарегистр. 02-01-2018 | Отправлено: 08:18 18-10-2020 | Исправлено: RetroRocket, 18:55 18-10-2020
    LexVel

    Gold Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    RetroRocket

    Цитата:
    А вот CanvasBlocker  0.5.9 с вашего скриншота легко можно обновить до актуальной версии 1.3, если в manifest.json изменить значение "strict_min_version" на "52.0".
    Версия 1.3 работает вполне успешно у меня.

     
    вчера вечером уже сделал с последней сборкой
     
    https://github.com/kkapsner/CanvasBlocker/releases
     
    еще аналогично получилось с decentraleyes-2.0.14-an+fx
     
    нужно поставить 52.0 и он будет свежий и актуальный
     
    по этому расширению - privacy_badger-2020.10.7-an+fx
     
    от него будет толк ?
     
    и стоят оба для flash
     
    -flashblock-1.5.20-fx
    -flashstopper-2.6.4-fx
     
    не избыточно 2шт. ? в этой сборке youtube не планирую смотреть

    Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 09:40 18-10-2020 | Исправлено: LexVel, 09:53 18-10-2020
    Vagranthermit



    Junior Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    vikmin
    Выложите Vasilisque+v.0.13.0-ru-RU Portable_x64 пожалуйста.

    Всего записей: 49 | Зарегистр. 20-04-2015 | Отправлено: 10:29 18-10-2020
    vikmin



    Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    Vagranthermit
    Под рукой нет ОСх64, попробуйте и отпишитесь.  
  • Vasilisque_v.0.13.0-x64-ru-RU Portable_x64.

  • Всего записей: 221 | Зарегистр. 08-12-2017 | Отправлено: 11:07 18-10-2020 | Исправлено: vikmin, 16:27 18-10-2020
    LexVel

    Gold Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    RetroRocket
     

    Цитата:
     включите в его настройках готовую предустановку для Edge.

     
    а как туда попасть, в меню чет нет этого
     
    линк можно что на скрине с Edge | Windows ?

    Всего записей: 8444 | Зарегистр. 24-04-2007 | Отправлено: 12:17 18-10-2020
    RetroRocket



    Silver Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    LexVel
    Цитата:
    а как туда попасть, в меню чет нет этого    линк можно что на скрине с Edge | Windows ?
    Настройки - API's - Navigator API - поставить галку - кнопка "Открыть".
     

     

    Цитата:
    по этому расширению - privacy_badger-2020.10.7-an+fx    от него будет толк ?
    Я не использую барсука. Вполне хватает NoScript и uBO с нужными подписками.

    Цитата:
    и стоят оба для flash    -flashblock-1.5.20-fx  -flashstopper-2.6.4-fx    не избыточно 2шт. ?
    Тоже особого смысла нет.  
    Достаточно в настройках флэш-плагина установить "Включать по запросу".
    А если плагина вообще нет или он отключен, то и флэш воспроизвести браузер не сможет.

    ----------
    "... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

    Всего записей: 2471 | Зарегистр. 02-01-2018 | Отправлено: 12:57 18-10-2020
    Krasovskii



    Advanced Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    vikmin

    Цитата:
    Под рукой нет ОСх64, попробуйте и отпишитесь.  

    На Win10 работает без замечаний.

    Всего записей: 1064 | Зарегистр. 27-11-2014 | Отправлено: 14:38 18-10-2020
    Coroed

    Advanced Member
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
    RetroRocket

    Цитата:
    Я особо не изучал вопрос с темами, поскольку пользуюсь стандартными.....

    Прочитано, понятО.....    

    Всего записей: 696 | Зарегистр. 06-04-2009 | Отправлено: 15:56 18-10-2020
    Открыть новую тему     Написать ответ в эту тему

    Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117

    Компьютерный форум Ru.Board » Компьютеры » Программы » Basilisk


    Реклама на форуме Ru.Board.

    Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
    Modified by Ru.Board
    © Ru.Board 2000-2020

    BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

    Рейтинг.ru